Множественные уязвимости в Joomla!

Дата публикации:
29.09.2014
Дата изменения:
29.09.2014
Всего просмотров:
1043
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
CVE-2014-6631
CVE-2014-6632
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Joomla! 3.x
Уязвимые версии:
Joomla! версии до 3.2.5
Joomla! версии до 3.3.4

Описание:
Уязвимости позволяют удаленному пользователю совершить XSS-атаку и обойти механизм аутентификации.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре “com_media”. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за ошибки при обработке аутентификации через LDAP. Удаленный пользователь может обойти механизм аутентификации.

URL производителя: http://www.joomla.org/3/

Решение: Установите последнюю версию 3.2.5 или 3.3.4 с сайта производителя.

Ссылки: http://developer.joomla.org/security/593-20140901-core-xss-vulnerability.html
http://developer.joomla.org/security/594-20140902-core-unauthorised-logins.html